/*
 * Segment 2 (KEx),  SWE 2.1 LMS
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lms.vew;

import de.bsvrz.dav.daf.main.DataDescription;
import de.bsvrz.dav.daf.main.config.Aspect;
import de.bsvrz.dav.daf.main.config.AttributeGroup;

/**
 * Klasse zur Repr&auml;sentation einer Datenanmeldung am DAV.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */

public class DavSendeAnmeldung extends DataDescription {

	/** Flag, ob die Sendeanmeldung erfolgreich war. */
	private boolean sendenOK = false;

	/**
	 * Konstruktor.
	 *
	 * @param attributeGroup
	 *            Attributgruppe
	 * @param aspect
	 *            Aspekt
	 */
	public DavSendeAnmeldung(final AttributeGroup attributeGroup, final Aspect aspect) {
		super(attributeGroup, aspect);
	}

	/**
	 * Gibt den Status der Sendeanmeldung zur&uuml;ck.
	 *
	 * @return Status
	 */
	public boolean sendenOK() {
		return sendenOK;
	}

	/**
	 * Setzt den Status der Sendeanmeldung.
	 *
	 * @param wert
	 *            Status
	 */
	public void setzeSendenOK(final boolean wert) {
		sendenOK = wert;
	}

}
