/*
 * Segment 2 (KEx),  SWE 2.1 LMS
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lms.vew.daten;

import de.bsvrz.dav.daf.main.ClientDavConnection;
import de.bsvrz.dav.daf.main.config.DataModel;

/**
 * (Singleton)-Klasse zum Zugriff auf das Datenmodel des DaV.
 *
 * Der Klasse muss eine Datenverteilerverbindung zugewiesen werden.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */

public class DavDatenModell {

	/** Das Singleton der Klasse. */
	private static DavDatenModell singleton;

	/**
	 * Gibt das einzige Objekt der Klasse zur&uuml;ck.
	 *
	 * @return das Singleton der Klasse.
	 */
	public static DavDatenModell getInstanz() {
		if (DavDatenModell.singleton == null) {
			DavDatenModell.singleton = new DavDatenModell();
		}

		return DavDatenModell.singleton;
	}

	/**
	 * Datenverteilerverbindung.
	 */
	private ClientDavConnection dav;

	/**
	 * Gibt das Datenmodell zur&uuml;ck.
	 *
	 * @return Datenmodell
	 */
	public DataModel getDataModel() {
		return dav.getDataModel();
	}

	/**
	 * ordnet der Klasse eine Datenverteilerverbindung zu.
	 *
	 * @param verbindung
	 *            Datenverteilerverbindung
	 *
	 */
	public void setVerbindung(final ClientDavConnection verbindung) {
		this.dav = verbindung;
	}
}
