/*
 * Segment 2 (KEx),  SWE 2.1 LMS
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lms.vew.daten;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.kex.lms.vew.RDSException;

/**
 * Repr&auml;sentiert eine RDS-Info Zeitdauer.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */

public class RDSZeitdauer extends AbstractRDSInfoElement {

	/**
	 * Zeitdauer in Sekunden.
	 */
	long zeitdauer = 0;

	/**
	 * Erzeugt ein neues Objekt.
	 *
	 * @param xmlName
	 *            Name des XML-ELementes
	 * @param davName
	 *            Name des DAV-Attributes
	 */
	public RDSZeitdauer(final String xmlName, final String davName) {
		super(xmlName, davName);
	}

	@Override
	public void getDavDaten(final Data davdata) throws RDSException {
		zeitdauer = davdata.getTimeValue(getDavAttributName()).getSeconds();
	}

	@Override
	public void getXmlDaten(final Node node) throws RDSException {
		zeitdauer = Long.parseLong(node.getTextContent());
	}

	@Override
	public void setDavDaten(final Data davdata) throws RDSException {
		davdata.getTimeValue(getDavAttributName()).setSeconds(zeitdauer);
	}

	@Override
	public void setXmlDaten(final Element element) {
		element.setTextContent(String.valueOf(zeitdauer));
	}

}
